| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# Fill.cpp File Reference

## Detailed Description

Implementation file for function form namespace Gaudi::Utils::Histos.

Date:
  2007-10-02

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Definition in file Fill.cpp.

`#include <string>`
`#include "GaudiAlg/Fill.h"`
`#include "AIDA/IHistogram1D.h"`
`#include "AIDA/IHistogram2D.h"`
`#include "AIDA/IHistogram3D.h"`
`#include "AIDA/IProfile1D.h"`
`#include "AIDA/IProfile2D.h"`

Include dependency graph for Fill.cpp:

Go to the source code of this file.

## Functions
void | Gaudi::Utils::Histos::fill (AIDA::IHistogram1D *histo, const double value, const double weight)
| simple function to fill AIDA::IHistogram1D objects
void | Gaudi::Utils::Histos::fill (AIDA::IHistogram2D *histo, const double valueX, const double valueY, const double weight)
| simple function to fill AIDA::IHistogram2D objects
void | Gaudi::Utils::Histos::fill (AIDA::IHistogram3D *histo, const double valueX, const double valueY, const double valueZ, const double weight)
| simple function to fill AIDA::IHistogram3D objects
void | Gaudi::Utils::Histos::fill (AIDA::IProfile1D *histo, const double valueX, const double valueY, const double weight)
| simple function to fill AIDA::IProfile1D objects
void | Gaudi::Utils::Histos::fill (AIDA::IProfile2D *histo, const double valueX, const double valueY, const double valueZ, const double weight)
| simple function to fill AIDA::IProfile2D objects
std::string | htitle_ (const AIDA::IBaseHistogram *histo, const std::string &title)
std::string | Gaudi::Utils::Histos::htitle (const AIDA::IBaseHistogram *histo, const std::string &title)
| get the title
std::string | Gaudi::Utils::Histos::htitle (const AIDA::IHistogram *histo, const std::string &title)
| get the title
std::string | Gaudi::Utils::Histos::htitle (const AIDA::IHistogram1D *histo, const std::string &title)
| get the title
std::string | Gaudi::Utils::Histos::htitle (const AIDA::IHistogram2D *histo, const std::string &title)
| get the title
std::string | Gaudi::Utils::Histos::htitle (const AIDA::IHistogram3D *histo, const std::string &title)
| get the title
std::string | Gaudi::Utils::Histos::htitle (const AIDA::IProfile *histo, const std::string &title)
| get the title
std::string | Gaudi::Utils::Histos::htitle (const AIDA::IProfile1D *histo, const std::string &title)
| get the title
std::string | Gaudi::Utils::Histos::htitle (const AIDA::IProfile2D *histo, const std::string &title)
| get the title
AIDA::IBaseHistogram * | Gaudi::Utils::Histos::toBase (AIDA::IHistogram1D *histo)
AIDA::IBaseHistogram * | Gaudi::Utils::Histos::toBase (AIDA::IHistogram2D *histo)
AIDA::IBaseHistogram * | Gaudi::Utils::Histos::toBase (AIDA::IHistogram3D *histo)
AIDA::IBaseHistogram * | Gaudi::Utils::Histos::toBase (AIDA::IProfile1D *histo)
AIDA::IBaseHistogram * | Gaudi::Utils::Histos::toBase (AIDA::IProfile2D *histo)

## Function Documentation

std::string @51::htitle_ | ( | const AIDA::IBaseHistogram * | histo,
|  | const std::string & | title |
| ) |  |  | `[inline, static]`

Definition at line 128 of file Fill.cpp.

References std::basic_string< _CharT, _Traits, _Alloc >::empty().

Referenced by Gaudi::Utils::Histos::htitle().

    00130   {
    00131     return
    00132       ( 0 != histo && title.empty() ) ? histo->title() : title ;
    00133   }